> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/lsv/lsvwithdraw.md).

# LSVWithdraw

### Description

action for tracking users withdrawals within the LSV ecosystem

> **Notes**
>
> LSV Withdraw expects users to have withdrawn tokens to the user's wallet, from which we'll pull the performance fee. ProfitTracker will return realisedProfit amount, from which we will calculate fee

### Action ID

`0xbc21da53`

### SDK Action

```ts
const lSVWithdrawAction = new dfs.actions.lsv.LSVWithdrawAction(
    protocol,
    token,
    amount,
    isPositionClosing
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param protocol - an ID representing the protocol in LSVProfitTracker
    /// @param token - token which is being withdrawn
    /// @param amount - amount of tokens being withdrawn
    /// @param isPositionClosing - bool representing if the user is fully closing his position
    struct Params {
        uint256 protocol;
        address token;
        uint256 amount;
        bool isPositionClosing;
    }
```

### Return Value

```solidity
return bytes32(remainingAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LSVWithdraw", logData);
logger.logActionDirectEvent("LSVWithdraw", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/lsv/lsvwithdraw.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
